*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
}

html {
scroll-behavior: smooth;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

/* body, .header__container {
  overflow-x: hidden;
} */

.container{
    padding: 0 15px;
    max-width: 1210px;
    margin: 0 auto;
    overflow: hidden;
}
.header{
    height: 70px;
}
.header__logo{
    text-decoration: none;
    color: black;
    font-size: 25px;
    font-weight:bold;
    font-family: "Montserrat", sans-serif;
}
.header__container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}


.header__burger{
    display: none;
    width: 40px;
    background: transparent;
    border: none;
    
    position: relative;
}
.header__img{
    display: block;
    max-width: 100%;
    
}

.link__number{
   color: #55AAFF !important;
   
}






.nav{
    display: flex;
    gap: 60px;
    font-family: "Montserrat", sans-serif;
    font-size: 20px;
    flex-wrap: wrap;
}
.nav__link::after{
    content: '';
    width: 0;
    height: 2px;
    background: #55AAFF;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: width 0.3s ease-out; /*задаём время анимации*/
}
.nav__link{
    font-size: 20px;
    font-weight: 500;
    position: relative;
    text-decoration: none;
    color: black;
}
.nav__link:hover::after, .nav__link:focus::after{
    width: 100%;
}
.nav__list{

}



.hero{
    background-image: url(./img/hero-img.jpg);
    color: white;
    font-family: "Montserrat", sans-serif;
    
 
  background-size: cover; /* Масштабирует с сохранением пропорций */
  background-position: center; /* Центрирует изображение */
  background-repeat: no-repeat;
  width: 100%;
  height: 50vh; /* Высота в относительных единицах (50% от высоты окна) */
  position: relative;
}
.hero::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #00000090;
}
.hero__container{
display: flex;
align-items: center;
height: 100%;
}
.hero__title{
    font-size: 45px;
    position: relative;
}
.hero__subtitle{
    font-size: 40px;
    font-weight:300;
}




.achievement{
    

    background: #ffffff;
}

.achievement__list{
    display: grid; 
    grid-template-columns: 1fr 1fr 1fr 1fr;
    list-style: none;
    justify-content: space-between;
    height: 100%;
    align-items: center;
}
.achievement__item{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    max-width: 100%;
    padding: 10px 0;

}
.achievement__img{
    max-width: 45px;
   
}
.achievement__desc{
    font-weight: 500;
    font-size: 16px;
    font-family: "Montserrat", sans-serif;
}

.achievement__container{
    height: 100%;
}

.price{
    background: #F7F8FC;
}

.price__title{
    margin-top: 25px;
    margin-bottom: 40px;
    font-size: 32px;
    font-weight: 600;
    text-align: center;
    font-family: "Montserrat", sans-serif;
}
.price__container{
   
}
.price__list {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, minmax(275px, 320px));
    gap: 25px;
    font-family: "Montserrat", sans-serif;
    padding: 15px 0;
}
.price__card {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    /* max-width: 320px; */
    width: 100%;
    background: #ffffff;
    padding: 15px 20px;
    border-radius: 10px;
    transition: background-color 0.3s, color 0.3s;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.08);
}
.price__card:hover,
.price__card:focus{
    background: #55AAFF;
    color: white;
}
.price-card__title {
    /* font-size: 16px;
    margin-bottom: 10px; */
    font-size: 17px;
    font-weight: 600;
    margin-bottom: 8px;
}
.price-card__desc {
    font-size: 14px;
    line-height: 1.4;
    margin-bottom: 10px;
}
.price-card__price{
    margin-top: auto;
    font-size: 16px;
}

.bold{
    font-weight: 600;
}



.process {
    margin-bottom: 50px;
}
.process__title {
    margin-top: 25px;
    margin-bottom: 40px;
    font-size: 32px;
    font-weight: 600;
    text-align: center;
    font-family: "Montserrat", sans-serif;
}
.process__list {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(115px, 135px)) ;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 15px;
   
}
.process__item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-width: 135px;
    width: 100%;
    font-family: "Montserrat", sans-serif;
    position: relative;
    
}
.process__item:hover .process__icon{
    box-shadow: 0px 0px 20px 5px #55aaffa3;
}
.process__item:last-child .process__icon{
    background: #55AAFF;
    box-shadow: 0px 0px 30px 5px #55aaffa3;
}
.process__item:last-child .process__img{
    filter: invert(1);
}

.process__icon{
    border-radius: 50%;
    outline-offset: 10px;
    border: 3px solid #55AAFF ;
    overflow: hidden;
    aspect-ratio: 1/1;
    margin-bottom: 15px;
    padding: 30px;
    position: relative;
    transition: box-shadow .2s;
    
}
.process__num{
    position: absolute;
    color: white;
    font-size: 40px;
    top: 0;
    left: 5;
    background: #3e62ff;

}
.process__img{
    max-width: 100%;
   
}

.process__desc {
    text-align: center;
}


.contacts__content {
    display: grid;
    gap: 50px;
    grid-template-columns: 1fr 1fr;
    background: #55AAFF;
    max-width: 100%;
    font-family: "Montserrat", sans-serif;
    color: white;
    padding: 25px;
    border-radius: 15px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    margin-bottom: 50px;
}
.contacts__info {
}
.contacts__lable {
    font-weight: 500;
    margin-bottom: 10px;
    font-size: 25px;
}
.contacts__text {
    font-size: 20px;
    margin-bottom: 20px;
    font-weight: 400;
    max-width: 400px;
}
.contacts__phone {
    text-decoration: none;
    color: white;
    display: block;
}
.contacts__messengers {
}
.contacts__link {
    text-decoration: none;
}


.contacts__form {
    display: flex;
    flex-direction: column;
}
.contacts__input {
    border: none;
    font-family: "Montserrat", sans-serif;
    padding: 15px;
    font-size: 16px;
    border-radius: 10px;
    margin-top: 20px;
}
.error{
    font-size: 16px;
    font-weight: 500;
     font-family: "Montserrat", sans-serif;
    color: #eb2b2b;
}
.contacts__button {
    border: none;
    text-align: center;
    border-radius: 10px;
    padding: 15px;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    cursor: pointer;
    font-size: 18px;
    color: #000000c5;
    background: white;
    margin-top: 20px;
}

.contacts__button.disabled {
  opacity: 0.6;
  pointer-events: none;
  cursor: not-allowed;
}

.successful{
    padding: 15px;
    position: fixed;
    overflow: hidden;
    z-index: 100;
    width: 100%;
    height: 100%;
    background: #00000063;
    backdrop-filter: blur(5px);
    display: none;
    justify-content: center;
    align-items: center;
}
.successful.active{
    display: flex;
}
.successful__content {
    font-family: "Montserrat", sans-serif;
    font-weight: 700;
    font-size: 25px;
    color: #77cc75;
    align-items: center;
    border-radius: 15px;
    padding: 30px;
    background: white;
    max-width: 550px;
    display: flex;
    flex-direction: column;
}
.successful__img {
    display: block;
    max-width: 250px;
    width: 100%;
}
.successful__btn {
    width: 100%;
    border: none;
    border-radius: 10px;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    font-size: 20px;
    padding: 10px;
    margin-top: 30px;
    cursor: pointer;
    color: black;
}

.footer {
    background: #F7F8FC;
    padding: 25px 0;
    font-family: "Montserrat", sans-serif;
}
.container {
}
.footer__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header__logo {
}
.footer__item {
    font-size: 14px;
    display: block;
    max-width: 500px;
}









@media (max-width:1070px) {
    .header__burger{
        display: block;
    }
 

    .nav{
        
        transform: translate(100%, 0);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        position: fixed;
        background: #eef7fc;
        z-index: 1;
        height: 100svh;
        width: 100%;
        top: 0;
        left: 0;
        transition: transform 0.3s ease-in-out;
        gap: 35px;
    }
    .nav__link{
        font-size: 20px;
    }

    .header__container.active .nav__close{
     position: absolute;
     top: 15px;
     right: 15px;
     max-width: 40px;
     cursor: pointer;
    }
    
    .header__container.active nav{
        transform: translate(0);
        overflow: hidden;
        
    }
    
.hero{
  height: 30vh; /* Высота в относительных единицах (50% от высоты окна) */

}
    .hero__title{
        font-size: 20px;
    }
    .hero__subtitle{
        font-size: 15px;
    }
    

    .achievement__list{
    grid-template-columns:1fr 1fr;
    }

    .achievement__item{

    }

    .achievement__img{
        max-width: 45px;
    }

    .achievement__desc{
 
    }
    


    .contacts__content {
    gap:40px ;
    flex-direction: column-reverse;
    grid-template-columns: 1fr;
}

.footer__content {
    flex-direction: column;
    gap: 10px;
    text-align: center;
}
}

@media (max-width:600px) {
        .achievement__list{
    grid-template-columns:1fr 1fr ;
    }

    .achievement__item{
        gap: 5px;
        padding: 5px 0;
    }

    .achievement__img{
        max-width: 30px;
    }

    .achievement__desc{
    font-size: 10px;
    
    }
}